Marketing Channels
Table name: marketing_channels
Primary use case: Traffic source analysis and marketing channel attribution
Primary Keys: domains, countries, channels
Available Channels: organic_search, direct, paid_search, referrals, display_ads, social, mail, search
Available Metrics
Title
Description
Title
| Metric Name | Description | Granularity |
| desktop_marketing_channels_visits | Desktop visits by traffic source | Monthly, Daily |
| mobile_marketing_channels_visits | Mobile visits by traffic source | Monthly |
| desktop_marketing_channels_share | Desktop traffic share by source | Monthly, Daily |
| mobile_marketing_channels_share | Mobile traffic share by source | Monthly |
Example Request
Request header:
CURL
curl --location 'https://api.similarweb.com/batch/v4/request-report' \
--header 'api-key: {{API_KEY}}' \
--header 'Content-Type: application/json' \
--request POST \
--data bodycurl --location 'https://api.similarweb.com/batch/v4/request-report' \
--header 'api-key: {{API_KEY}}' \
--header 'Content-Type: application/json' \
--request POST \
--data bodyRequet body:
JSON
{
"delivery_information": {
"response_format": "csv",
"delivery_method_params": {
"retention_days": 60
}
},
"report_query": {
"tables": [
{
"vtable": "marketing_channels",
"granularity": "monthly",
"filters": {
"countries": ["US"],
"channels": ["organic_search", "direct", "paid_search", "social"]
},
"metrics": [
"desktop_marketing_channels_visits",
"desktop_marketing_channels_share",
"mobile_marketing_channels_visits",
"mobile_marketing_channels_share"
],
"start_date": "2025-06",
"end_date": "2025-07"
}
]
}
}{
"delivery_information": {
"response_format": "csv",
"delivery_method_params": {
"retention_days": 60
}
},
"report_query": {
"tables": [
{
"vtable": "marketing_channels",
"granularity": "monthly",
"filters": {
"countries": ["US"],
"channels": ["organic_search", "direct", "paid_search", "social"]
},
"metrics": [
"desktop_marketing_channels_visits",
"desktop_marketing_channels_share",
"mobile_marketing_channels_visits",
"mobile_marketing_channels_share"
],
"start_date": "2025-06",
"end_date": "2025-07"
}
]
}
}Was this section helpful?
What made this section helpful for you?
What made this section unhelpful for you?
On this page
- Marketing Channels